cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ADJ

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ADJ

- All Implemented Interfaces:
    ISegment

      public class ADJ
      extends Segment

  ADJ - Adjustment This segment describes Provider and/or Payer adjustments to a Product/Service Line Item or Response Summary.

  Represents an HL7 ADJ message segment. This segment has the following fields:

  ADJ-1 Provider Adjustment Number (EI)Required
  ADJ-2 Payer Adjustment Number (EI)Required
  ADJ-3 Adjustment Sequence Number (SI)Required
  ADJ-4 Adjustment Category (CWE)Required
  ADJ-5 Adjustment Amount (CP)Optional
  ADJ-6 Adjustment Quantity (CQ)Optional
  ADJ-7 Adjustment Reason PA (CWE)Conditional
  ADJ-8 Adjustment Description (ST)Optional
  ADJ-9 Original Value (NM)Optional
  ADJ-10 Substitute Value (NM)Optional
  ADJ-11 Adjustment Action (CWE)Optional
  ADJ-12 Provider Adjustment Number Cross Reference (EI)Optional
  ADJ-13 Provider Product/Service Line Item Number Cross Reference (EI)Optional
  ADJ-14 Adjustment Date (DTM)Required
  ADJ-15 Responsible Organization (XON)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ADJ()` Constructs the ADJ segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdjustmentAmount(CP objAdjustmentAmount)` Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
    `void` | `addAdjustmentAmount(MO objPrice, java.lang.String strPriceType, java.lang.String strFormValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
    `void` | `addAdjustmentReasonPA(CWE objAdjustmentReasonPA)` Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment.
    `void` | `addAdjustmentReasonPA(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment.
    `CWE` | `getAdjustmentAction()` Retrieve Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
    `ISingleCollection<CP>` | `getAdjustmentAmount()` Retrieve Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
    `CWE` | `getAdjustmentCategory()` Retrieve Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
    `DTM` | `getAdjustmentDate()` Retrieve Adjustment Date (DTM) This field is about Date/Time adjustment was made.
    `ST` | `getAdjustmentDescription()` Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
    `CQ` | `getAdjustmentQuantity()` Retrieve Adjustment Quantity (CQ) This field is Adjustment Quantity.
    `ISingleCollection<CWE>` | `getAdjustmentReasonPA()` Retrieve Adjustment Reason PA (CWE) This field is about Reason for this adjustment.
    `SI` | `getAdjustmentSequenceNumber()` Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
    `NM` | `getOriginalValue()` Retrieve Original Value (NM) This field is about Original value of data item noted in this adjustment.
    `EI` | `getPayerAdjustmentNumber()` Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
    `EI` | `getProviderAdjustmentNumber()` Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
    `EI` | `getProviderAdjustmentNumberCrossReference()` Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
    `EI` | `getProviderProductOrServiceLineItemNumberCrossReference()` Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
    `XON` | `getResponsibleOrganization()` Retrieve Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
    `NM` | `getSubstituteValue()` Retrieve Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
    `void` | `setAdjustmentAction(CWE objAdjustmentAction)` Set Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
    `void` | `setAdjustmentAction(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
    `void` | `setAdjustmentAmount(ISingleCollection<CP> objAdjustmentAmount)` Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
    `void` | `setAdjustmentCategory(CWE objAdjustmentCategory)` Set Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
    `void` | `setAdjustmentCategory(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
    `void` | `setAdjustmentDate(DTM objAdjustmentDate)` Set Adjustment Date (DTM) This field is about Date/Time adjustment was made.
    `void` | `setAdjustmentDate(java.lang.String strAdjustmentDate)` Set Adjustment Date (DTM) This field is about Date/Time adjustment was made.
    `void` | `setAdjustmentDescription(ST objAdjustmentDescription)` Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
    `void` | `setAdjustmentDescription(java.lang.String strAdjustmentDescription)` Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
    `void` | `setAdjustmentQuantity(CQ objAdjustmentQuantity)` Set Adjustment Quantity (CQ) This field is Adjustment Quantity.
    `void` | `setAdjustmentQuantity(java.lang.String strQuantity, CWE objUnits)` Set Adjustment Quantity (CQ) This field is Adjustment Quantity.
    `void` | `setAdjustmentReasonPA(ISingleCollection<CWE> objAdjustmentReasonPA)` Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment.
    `void` | `setAdjustmentSequenceNumber(SI objAdjustmentSequenceNumber)` Set Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
    `void` | `setAdjustmentSequenceNumber(java.lang.String strAdjustmentSequenceNumber)` Set Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
    `void` | `setOriginalValue(NM objOriginalValue)` Set Original Value (NM) This field is about Original value of data item noted in this adjustment.
    `void` | `setOriginalValue(java.lang.String strOriginalValue)` Set Original Value (NM) This field is about Original value of data item noted in this adjustment.
    `void` | `setPayerAdjustmentNumber(EI objPayerAdjustmentNumber)` Set Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
    `void` | `setPayerAdjustmentNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
    `void` | `setProviderAdjustmentNumber(EI objProviderAdjustmentNumber)` Set Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
    `void` | `setProviderAdjustmentNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
    `void` | `setProviderAdjustmentNumberCrossReference(EI objProviderAdjustmentNumberCrossReference)` Set Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
    `void` | `setProviderAdjustmentNumberCrossReference(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
    `void` | `setProviderProductOrServiceLineItemNumberCrossReference(EI objProviderProductOrServiceLineItemNumberCrossReference)` Set Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
    `void` | `setProviderProductOrServiceLineItemNumberCrossReference(java.lang.String strEntityIdentifier, java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
    `void` | `setResponsibleOrganization(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
    `void` | `setResponsibleOrganization(XON objResponsibleOrganization)` Set Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
    `void` | `setSubstituteValue(NM objSubstituteValue)` Set Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
    `void` | `setSubstituteValue(java.lang.String strSubstituteValue)` Set Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ADJ

          public ADJ()

      Constructs the ADJ segment.

  - ### Method Detail

    - #### getProviderAdjustmentNumber

          public EI getProviderAdjustmentNumber()

      Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
      Returns:
        EI - object of Provider Adjustment Number.

    - #### setProviderAdjustmentNumber

          public void setProviderAdjustmentNumber(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceID,
                                         java.lang.String strUniversalID,
                                         java.lang.String strUniversalIDType)

      Set Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderAdjustmentNumber

          public void setProviderAdjustmentNumber(EI objProviderAdjustmentNumber)

      Set Retrieve Provider Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Provider Application.
      Parameters:
        `EI` - - object of Provider Adjustment Number.

    - #### getPayerAdjustmentNumber

          public EI getPayerAdjustmentNumber()

      Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
      Returns:
        EI - object of Payer Adjustment Number.

    - #### setPayerAdjustmentNumber

          public void setPayerAdjustmentNumber(java.lang.String strEntityIdentifier,
                                      java.lang.String strNamespaceID,
                                      java.lang.String strUniversalID,
                                      java.lang.String strUniversalIDType)

      Set Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setPayerAdjustmentNumber

          public void setPayerAdjustmentNumber(EI objPayerAdjustmentNumber)

      Set Retrieve Payer Adjustment Number (EI) This field is Unique Adjustment Number assigned by the Payer Application.
      Parameters:
        `EI` - - object of Payer Adjustment Number.

    - #### getAdjustmentSequenceNumber

          public SI getAdjustmentSequenceNumber()

      Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
      Returns:
        SI - object of Adjustment Sequence Number.

    - #### setAdjustmentSequenceNumber

          public void setAdjustmentSequenceNumber(java.lang.String strAdjustmentSequenceNumber)

      Set Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
      Parameters:
        `strAdjustmentSequenceNumber` - - string of Adjustment Sequence Number

    - #### setAdjustmentSequenceNumber

          public void setAdjustmentSequenceNumber(SI objAdjustmentSequenceNumber)

      Set Retrieve Adjustment Sequence Number (SI) Unique sequence number for this adjustment – starts with 1, then 2, etc., for each unique adjustment for the Product/Service Line Item.
      Parameters:
        `SI` - - object of Adjustment Sequence Number.

    - #### getAdjustmentCategory

          public CWE getAdjustmentCategory()

      Retrieve Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
      Returns:
        CWE - object of Adjustment Category.

    - #### setAdjustmentCategory

          public void setAdjustmentCategory(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdjustmentCategory

          public void setAdjustmentCategory(CWE objAdjustmentCategory)

      Set Adjustment Category (CWE) This field is about Indicates the category of adjustment and is used to assist in determining which table is used for Adjustment Reason.
      Parameters:
        `objAdjustmentCategory` - - object of Adjustment Category.

    - #### getAdjustmentAmount

          public ISingleCollection<CP> getAdjustmentAmount()

      Retrieve Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
      Returns:
        ISingleCollection - list of object of Adjustment Amount.

    - #### addAdjustmentAmount

          public void addAdjustmentAmount(MO objPrice,
                                 java.lang.String strPriceType,
                                 java.lang.String strFormValue,
                                 java.lang.String strToValue,
                                 CWE objRangeUnits,
                                 java.lang.String strRangeType)

      Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
      Parameters:
        `objPrice` - - Gives information about the Price.
        `strPriceType` - - Gives information about Type of Price.
        `strFormValue` - - Gives information about Form Value.
        `strToValue` - - Tell about the To value.
        `objRangeUnits` - - Specifies about the range of the units.
        `strRangeType` - - Specifies obut the Type of range.

    - #### addAdjustmentAmount

          public void addAdjustmentAmount(CP objAdjustmentAmount)

      Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
      Parameters:
        `objAdjustmentAmount` - - object of Adjustment Amount.

    - #### setAdjustmentAmount

          public void setAdjustmentAmount(ISingleCollection<CP> objAdjustmentAmount)

      Set Adjustment Amount (CP) This field is about Adjustment amount, such as taxes, deductibles, previously paid amount.
      Parameters:
        `objAdjustmentAmount` - - list of object of Adjustment Amount.

    - #### getAdjustmentQuantity

          public CQ getAdjustmentQuantity()

      Retrieve Adjustment Quantity (CQ) This field is Adjustment Quantity.
      Returns:
        CQ - object of Adjustment Quantity.

    - #### setAdjustmentQuantity

          public void setAdjustmentQuantity(java.lang.String strQuantity,
                                   CWE objUnits)

      Set Adjustment Quantity (CQ) This field is Adjustment Quantity.
      Parameters:
        `strQuantity` - - This component specifies the numeric quantity or amount of an entity.
        `objUnits` - - This component species the units in which the quantity is expressed.

    - #### setAdjustmentQuantity

          public void setAdjustmentQuantity(CQ objAdjustmentQuantity)

      Set Adjustment Quantity (CQ) This field is Adjustment Quantity.
      Parameters:
        `objAdjustmentQuantity` - - object of Adjustment Quantity.

    - #### getAdjustmentReasonPA

          public ISingleCollection<CWE> getAdjustmentReasonPA()

      Retrieve Adjustment Reason PA (CWE) This field is about Reason for this adjustment. Codes used to explain a Provider adjustment to a Product/Service Group or Product/Service Line Item by a Provider.
      Returns:
        ISingleCollection - list of object of Adjustment Reason PA .

    - #### addAdjustmentReasonPA

          public void addAdjustmentReasonPA(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment. Codes used to explain a Provider adjustment to a Product/Service Group or Product/Service Line Item by a Provider.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAdjustmentReasonPA

          public void addAdjustmentReasonPA(CWE objAdjustmentReasonPA)

      Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment. Codes used to explain a Provider adjustment to a Product/Service Group or Product/Service Line Item by a Provider.
      Parameters:
        `objAdjustmentReasonPA` - - object of Adjustment Reason PA .

    - #### setAdjustmentReasonPA

          public void setAdjustmentReasonPA(ISingleCollection<CWE> objAdjustmentReasonPA)

      Set Adjustment Reason PA (CWE) This field is about Reason for this adjustment. Codes used to explain a Provider adjustment to a Product/Service Group or Product/Service Line Item by a Provider.
      Parameters:
        `objAdjustmentReasonPA` - - list of object of Adjustment Reason PA .

    - #### getAdjustmentDescription

          public ST getAdjustmentDescription()

      Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
      Returns:
        ST - object of Adjustment Description.

    - #### setAdjustmentDescription

          public void setAdjustmentDescription(java.lang.String strAdjustmentDescription)

      Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
      Parameters:
        `strAdjustmentDescription` - - object of Adjustment Description.

    - #### setAdjustmentDescription

          public void setAdjustmentDescription(ST objAdjustmentDescription)

      Retrieve Adjustment Description (ST) This field is about Description of adjustment, such as client instructions.
      Parameters:
        `objAdjustmentDescription` - - object of Adjustment Description.

    - #### getOriginalValue

          public NM getOriginalValue()

      Retrieve Original Value (NM) This field is about Original value of data item noted in this adjustment.
      Returns:
        NM - object of Original Value.

    - #### setOriginalValue

          public void setOriginalValue(java.lang.String strOriginalValue)

      Set Original Value (NM) This field is about Original value of data item noted in this adjustment.
      Parameters:
        `strOriginalValue` - - string of Original Value.

    - #### setOriginalValue

          public void setOriginalValue(NM objOriginalValue)

      Set Original Value (NM) This field is about Original value of data item noted in this adjustment.
      Parameters:
        `objOriginalValue` - - object of Original Value.

    - #### getSubstituteValue

          public NM getSubstituteValue()

      Retrieve Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
      Returns:
        NM - object of Substitute Value.

    - #### setSubstituteValue

          public void setSubstituteValue(java.lang.String strSubstituteValue)

      Set Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
      Parameters:
        `strSubstituteValue` - - string of Substitute Value.

    - #### setSubstituteValue

          public void setSubstituteValue(NM objSubstituteValue)

      Set Substitute Value (NM) This field is about Substitute value of data item noted in this adjustment.
      Parameters:
        `objSubstituteValue` - - object of Substitute Value.

    - #### getAdjustmentAction

          public CWE getAdjustmentAction()

      Retrieve Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
      Returns:
        CWE - object of Adjustment Action.

    - #### setAdjustmentAction

          public void setAdjustmentAction(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infection.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdjustmentAction

          public void setAdjustmentAction(CWE objAdjustmentAction)

      Set Adjustment Action (CWE) This field is about Action requested of party that receives this adjustment.
      Parameters:
        `objAdjustmentAction` - - object of Adjustment Action.

    - #### getProviderAdjustmentNumberCrossReference

          public EI getProviderAdjustmentNumberCrossReference()

      Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
      Returns:
        EI - object of Provider Adjustment Number Cross Reference.

    - #### setProviderAdjustmentNumberCrossReference

          public void setProviderAdjustmentNumberCrossReference(java.lang.String strEntityIdentifier,
                                                       java.lang.String strNamespaceID,
                                                       java.lang.String strUniversalID,
                                                       java.lang.String strUniversalIDType)

      Set Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderAdjustmentNumberCrossReference

          public void setProviderAdjustmentNumberCrossReference(EI objProviderAdjustmentNumberCrossReference)

      Set Retrieve Provider Adjustment Number Cross Reference (EI) This field is Unique Provider Adjustment Number assigned by the Provider Application that is referenced by this Payer Adjustment.
      Parameters:
        `objProviderAdjustmentNumberCrossReference` - - object of Provider Adjustment Number Cross Reference.

    - #### getProviderProductOrServiceLineItemNumberCrossReference

          public EI getProviderProductOrServiceLineItemNumberCrossReference()

      Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
      Returns:
        EI - object of Provider Product/Service Line Item Number Cross Reference.

    - #### setProviderProductOrServiceLineItemNumberCrossReference

          public void setProviderProductOrServiceLineItemNumberCrossReference(java.lang.String strEntityIdentifier,
                                                                     java.lang.String strNamespaceID,
                                                                     java.lang.String strUniversalID,
                                                                     java.lang.String strUniversalIDType)

      Set Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
      Parameters:
        `strEntityIdentifier` - - string of character use to identify the entity.
        `strNamespaceID` - - Use to identify the name space id..
        `strUniversalID` - - Use to identify the name space identity.
        `strUniversalIDType` - - String of characters describe Universal Id Type.

    - #### setProviderProductOrServiceLineItemNumberCrossReference

          public void setProviderProductOrServiceLineItemNumberCrossReference(EI objProviderProductOrServiceLineItemNumberCrossReference)

      Set Retrieve Provider Product/Service Line Item Number Cross Reference (EI) This field is : Unique Provider Product/Service Line Item Number assigned by the Provider Application that is referenced by this Payer Adjustment; used for groups with multiple line items that need to be singled out by a Payer Adjustment.
      Parameters:
        `objProviderProductOrServiceLineItemNumberCrossReference` - - object of Provider Product/Service Line Item Number Cross Reference.

    - #### getAdjustmentDate

          public DTM getAdjustmentDate()

      Retrieve Adjustment Date (DTM) This field is about Date/Time adjustment was made. May also be synonymous with Adjudication Date.
      Returns:
        DTM - object of Adjustment Date.

    - #### setAdjustmentDate

          public void setAdjustmentDate(java.lang.String strAdjustmentDate)

      Set Adjustment Date (DTM) This field is about Date/Time adjustment was made. May also be synonymous with Adjudication Date.
      Parameters:
        `strAdjustmentDate` - - string of Adjustment Date.

    - #### setAdjustmentDate

          public void setAdjustmentDate(DTM objAdjustmentDate)

      Set Adjustment Date (DTM) This field is about Date/Time adjustment was made. May also be synonymous with Adjudication Date.
      Parameters:
        `objAdjustmentDate` - - object of Adjustment Date.

    - #### getResponsibleOrganization

          public XON getResponsibleOrganization()

      Retrieve Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
      Returns:
        XON - object of Responsible Organization.

    - #### setResponsibleOrganization

          public void setResponsibleOrganization(java.lang.String strOrganizationName,
                                        CWE objOrganizationNameTypeCode,
                                        HD objAssigningAuthority,
                                        java.lang.String strIdentifierTypeCode,
                                        HD objAssigningFacility,
                                        java.lang.String strNameRepresentationCode,
                                        java.lang.String strOrganizationIdentifier)

      Set Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.8.2.

    - #### setResponsibleOrganization

          public void setResponsibleOrganization(XON objResponsibleOrganization)

      Set Responsible Organization (XON) This field is about Business organization that is responsible for the adjustment .
      Parameters:
        `objResponsibleOrganization` - - object of responsible organization.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {ADJ} while parsing ADJ segment validate method will check for its mandatory presence. [ADJ] in this case validate will throw exception if one tries to enter more than one ADJ segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.